import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetStorageListParams, OriginalListParams} from '@models';

export const contextState: OriginalListParams<GetStorageListParams> = {
  storageLocationName: '',
  storageLocationCode: '',
  storageLocationType: '',
  isNotDisable: '',
  warehouseWhere: '',
  isProduct: '',
  modifyUser: '',
};

export const context = createTableSearchContext(contextState);

export const pageContext = createPageContext();

export const searchContext = createSearchContext();
